@import "@art-lib/styl/core";

@import 'assets/fonts/golostext/golostext.css';

@import 'app/theme';

@import "~quill/dist/quill.core.css";
@import "~quill/dist/quill.snow.css";

/**{
  margin: 0;
  padding: 0;
}*/

/*html, body { height: 100%; }*/
/*body {
  font-family: $font-family;
}*/

.main-content {
  padding: 20px;
}

table{
  width: 100%;
  .table-row {
    outline: none;
    cursor: pointer;

    &:hover {
      background: #fafafa;
    }
  }
}

table.mat-table  {
  td:first-child, th:first-child {
    padding-left: 24px;
  }
  td, th {
    padding-right: 8px;
    padding-left: 8px;
    padding-top: 6px;
    padding-bottom: 6px;
  }
}


fieldset {
  border: none;
}

.spinner-container {
  height: calc(200px);
  display: flex;
  justify-content: center;
  align-items: center;
}


.status {
   display: flex;
   flex-flow: row nowrap;
   justify-content: flex-start;
   align-items: center;
   font-size: smaller;

   .indicator {
     display: inline-block;
     width: 10px;
     height: 10px;
     margin-right: 8px;
     border-radius: 100%;
     flex-shrink: 0;
   }
 }
.entrant-card__photo-frame  {
  & > .mat-dialog-container{
    padding: 0 15px 15px;
  }
}


input[type="time"]::-webkit-calendar-picker-indicator {
  display: none;
  -webkit-appearance: none;
}


.highlight {
  border-bottom: 1px dashed;
  &:hover {
    font-weight: 500;
    transition: all 100ms;

  }
}

.label {
  padding: 3px 10px;
  line-height: 16px;
  color: #fff;
  font-weight: 400;
  border-radius: 0.25rem;
  font-size: 85%;
}

